| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHashComputerIntegral< T > Class Template Reference
[Containers]

Template for hash value computing, suitable for integral types and types that can be casted to such. More...

`#include <csutil/hash.h>`

Inheritance diagram for csHashComputerIntegral< T >:

[legend]
List of all members.

## Static Public Member Functions
static uint | ComputeHash (const T &key)
| Compute a hash value for key.

## Detailed Description

### template<class T>
class csHashComputerIntegral< T >

Template for hash value computing, suitable for integral types and types that can be casted to such.

Definition at line 71 of file hash.h.

## Member Function Documentation

template<class T>

static uint csHashComputerIntegral< T >::ComputeHash | ( | const T & | key | ) | `[inline, static]`

Compute a hash value for key.

Definition at line 75 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h